ranges::v3::view::replace_if_fn Struct Reference

## Synopsis of methods

constexpr view< replace_if_fn > | replace_if {}

## Public Types

template<typename Rng , typename Pred , typename Val >
using | Concept = meta::and_< InputRange< Rng >, IndirectPredicate< Pred, iterator_t< Rng > >, Common< detail::decay_t< unwrap_reference_t< Val const & > >, range_value_type_t< Rng > >, CommonReference< unwrap_reference_t< Val const & >, range_reference_t< Rng > >, CommonReference< unwrap_reference_t< Val const & >, range_rvalue_reference_t< Rng > >>

## Public Member Functions

template<typename Rng , typename Pred , typename Val , requires = (Concept<Rng, Pred, Val>())>
replace_if_view< all_t< Rng >, Pred, Val > | operator() (Rng &&rng, Pred pred, Val new_value) const